﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Managing Application Logs</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing Application Logs</h1>
        <p>The <strong>Application Logs</strong>&#160;feature in Saviynt Identity Governance and Administration (IGA) allows you to view and download application logs with various log options. </p>
        <div class="info" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
            <p>Available from Release v5.4.0 onwards.<br /></p>
        </div>
        <p>The application logs enable you to leverage the following functions:</p>
        <ul>
            <li>
                <p>View and download all the application logs stored in the <label class="filename-path">saviynt\conf\logs</label> folder from IGA.</p>
            </li>
            <li>
                <p>You can view and download the following type of log:</p>
                <ul>
                    <li>
                        <p>custom logs</p>
                    </li>
                    <li>
                        <p>debugLog</p>
                    </li>
                    <li>
                        <p>error logs</p>
                    </li>
                    <li>
                        <p>info logs</p>
                    </li>
                    <li>
                        <p>warning logs</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Download the logs. This feature additionally allows you to filter the logs for the specified number of last lines of the log.</p>
            </li>
        </ul>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">The default log displayed is debugLog.log with the default number of lines displayed as 100. The maximum number of lines for which you can filter is 1000.</p>
        </div>
        <h2 id="ManagingApplicationLogs-ViewingApplicationLogs">Viewing Application Logs</h2>
        <p>To view Application Logs, perform the following steps:</p>
        <ol>
            <li>
                <p>Log in to to IGA.</p>
            </li>
            <li MadCap:conditions="Default.v55X">
                <p>Click <b>Admin Functions &gt; Application Logs</b>.<br />The <strong>Application Logs</strong> page is displayed.</p>
            </li>
            <li MadCap:conditions="Default.v2020X">
                <p>On the top right of the home page, click&#160;the <strong>Applications </strong>icon, and select <strong>Admin</strong>.</p>
            </li>
            <li MadCap:conditions="Default.v2020X">
                <p>Click the <strong>Menu</strong> icon.</p>
            </li>
            <li MadCap:conditions="Default.v2020X">
                <p>In the left pane, under <b>Admin Functions</b>, click <b>Application Logs</b>.</p>
                <p MadCap:conditions="Default.v2020X">The <strong>Application Logs</strong> page is displayed.</p>
            </li>
            <li>
                <p>Choose the type of log from the <strong>Select Log File</strong> drop-down list (for example, custom log, debugLog, error log, info logs, or warning log).</p>
            </li>
            <li>
                <p>Type the number of lines to be displayed in the <strong>Number of Lines.</strong><br />For example,&#160;To filter and display only the last 100 lines, specify '100' in&#160;the <strong>Number of Lines</strong>.</p>
            </li>
            <li>
                <p>Click <strong>Get Logs </strong>to display the logs or to refresh the results.</p>
                <p>
                    <img src="../Resources/Images/Application Logs page.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 1200px;height: 500px;" />
                </p>
                <p>Figure: Application Logs page</p>
            </li>
        </ol>
        <h2 id="ManagingApplicationLogs-DownloadingApplicationLogs">Downloading Application Logs</h2>
        <p>To download Application Logs, perform the following steps:</p>
        <ol>
            <li>
                <p>Click the <strong>Download </strong>icon next to the <strong>Select Log File</strong> box.</p>
            </li>
            <li>
                <p>Select<strong> Download Full File</strong> or <strong>Download Selected Line </strong>as per your requirement from the dialog box.</p>
            </li>
        </ol>
    </body>
</html>